Bug 499367 - mount.ecrytfs hangs when used with wrong/missing stdin
mount.ecrytfs hangs when used with wrong/missing stdin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 07:43 EDT by Michal Hlavinka
Modified: 2009-09-02 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use default values with verbosity=0, repeat question 5 times at most (without verbosity=0) (2.34 KB, patch)
2009-05-06 07:45 EDT, Michal Hlavinka
no flags Details | Diff
fix eof handling (5.04 KB, patch)
2009-05-29 05:28 EDT, Michal Hlavinka
no flags Details | Diff

  None (edit)
Description Michal Hlavinka 2009-05-06 07:43:41 EDT
Description of problem:
when mount is performed in cron or other way, where stdin is missing (or can't interact with stdout), mount hangs in endless loop.

When verbosity=0 is used (preventing mount helper's questions), it errors out where default values should be used.

Version-Release number of selected component (if applicable):


How reproducible:
allways

Steps to Reproduce:
1.mount -t ecryptfs  ~/testecfs/ ~/testecfs/ -o key=passphrase:passphrase_passwd=1234,ecryptfs_cipher=aes,ecryptfs_key_bytes=16,verbosity=0 </dev/null
2.
3.
  
Actual results:
a)with verbosity=0 : errors out: 'invalid value'
b)without verbosity=0: hangs

Expected results:
a)with verbosity=0 : default values are used (no questions)
b)without verbosity=0 : errors out with 'invalid value' (/dev/null is permanently giving wrong answers)

Additional info:
Comment 1 Michal Hlavinka 2009-05-06 07:45:36 EDT
Created attachment 342634 [details]
use default values with verbosity=0, repeat question 5 times at most (without verbosity=0)
Comment 7 Michal Hlavinka 2009-05-29 05:28:57 EDT
Created attachment 345874 [details]
fix eof handling

both patches are required
Comment 11 errata-xmlrpc 2009-09-02 05:57:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.